/* This file is included from vp.c and should contain prototypes of all
   virtual processes and the virtual process initialization table. */

/* prototypes of the init of a virtual processes; returns 0 on success */
int vp_hub_init(proc_virt_t *p, kvlist_t *args);
int vp_env_init(proc_virt_t *p, kvlist_t *args);
int vp_procwatch_init(proc_virt_t *p, kvlist_t *args);
int vp_timer_init(proc_virt_t *p, kvlist_t *args);
int vp_new_init(proc_virt_t *p, kvlist_t *args);
int vp_echo_init(proc_virt_t *p, kvlist_t *args);
int vp_split_init(proc_virt_t *p, kvlist_t *args);
int vp_affix_init(proc_virt_t *p, kvlist_t *args);
int vp_regex_init(proc_virt_t *p, kvlist_t *args);
int vp_cmd_init(proc_virt_t *p, kvlist_t *args);
int vp_open_init(proc_virt_t *p, kvlist_t *args);
int vp_fixlen_init(proc_virt_t *p, kvlist_t *args);
int vp_varlen_init(proc_virt_t *p, kvlist_t *args);
int vp_dump_init(proc_virt_t *p, kvlist_t *args);

/* virtual process initialization table */
static struct vp_s vps[] = {
	{"env",            vp_env_init},
	{"_procwatch",     vp_procwatch_init},
	{"hub",            vp_hub_init},
	{"timer",          vp_timer_init},
	{"new",            vp_new_init},
	{"echo",           vp_echo_init},
	{"split",          vp_split_init},
	{"affix",          vp_affix_init},
	{"regex",          vp_regex_init},
	{"cmd",            vp_cmd_init},
	{"open",           vp_open_init},
	{"fixlen",         vp_fixlen_init},
	{"varlen",         vp_varlen_init},
	{"dump",           vp_dump_init},
	{NULL, NULL}
};
